Bug 4241 - [UPDATE REQUEST] grub2-2.00-58, os-prober-1.63-4
: [UPDATE REQUEST] grub2-2.00-58, os-prober-1.63-4
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-07-18 21:18 MSD by Konstantin Vlasov
Modified: 2014-08-20 09:41 MSD (History)
2 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
denis.silakov: published+


Attachments
ss (344.53 KB, image/jpeg)
2014-07-21 17:10 MSD, Vladimir Potapov
Details
grub.cfg (25.93 KB, application/octet-stream)
2014-07-25 14:18 MSD, Vladimir Potapov
Details
black background in grub menu (5.37 KB, image/png)
2014-08-17 23:29 MSD, Alexander Petryakov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Konstantin Vlasov 2014-07-18 21:18:47 MSD
Various improvements, mainly with generating grub2 boot menu.
Comment 1 Konstantin Vlasov 2014-07-18 21:22:10 MSD
grub2:
https://abf.rosalinux.ru/build_lists/2042632
https://abf.rosalinux.ru/build_lists/2042633

Advisory:
1. If Grub menu is found in another OS, now using titles from it instead of names autodetected by os-prober.
2. First menu entry is no longer duplicated in Advanced menu if there is another entry with identical kernel/initrd/parameters present (it usually means that it's just a copy of the main entry, placed there by that system's Grub2 - we just reuse that copy).
3. Moved sorting menu entries by kernel version from Grub2 into os-prober to make sure we don't mess with other system's menu entries order.
4. Returned "(on sdXY)" suffix to all entries; moved it to the end of the title for better visual conformance with the other entries.
5. Minor translation fixes.
6. Fixed typo in rescue image name.
7. Included a specific grubcd.efi loader for iso creation toolkit.


os-prober:
https://abf.rosalinux.ru/build_lists/2042638
https://abf.rosalinux.ru/build_lists/2042639

Advisory:
1. Sorting by kernels (latest first) when enumerating boot entries (but not when parsing Grub menus).
2. When parsing grub2 menu, skip entries generated by 30_os-prober: they do not belong to the analyzed system.
3. Grub2 menu parser: Added support for EFI menu entries.
Comment 2 Vladimir Potapov 2014-07-21 17:10:01 MSD
Created attachment 3067 [details]
ss

My menu after update.
Marathon's and Chrome records don't detect ("linux")
Comment 3 Vladimir Potapov 2014-07-21 17:24:39 MSD
Ага! Я поймал регрессию, из-за которой в последних версиях груба перестали грузиться марафоны когда загрузчик стоит на EFI (а марафоны на другом диске со старой разметкой)
Оно пытается все там через efi- загрузить (и ругается потом, что ядро не поддерживается). жмешь на E, удаляешь efi- и марафон грузится (из него сейчас пишу).
Comment 4 Konstantin Vlasov 2014-07-21 20:27:05 MSD
1. Как именно ставились Марафоны? В режиме EFI или Legacy BIOS?
2. В каком из этих режимов их удавалось загрузить через собственный, старый Grub?
3. В каком из режимов они загружались через новый, фрэшевский Grub2 до появления регрессии?
4. То же самое, что 3, но после появления регрессии?
5. Если хотя бы на один из этих вопросов будет ответ "EFI", то поддерживает ли EFI на тестовом компьютере загрузку с MBR? Согласно спецификациям, он обязан её поддерживать (GPT вовсе необязателен для загрузки с EFI), но на практике встречаются прошивки, не удовлетворяющие этому требованию.
Comment 5 Vladimir Potapov 2014-07-22 07:27:53 MSD
(In reply to comment #4)
> 1. Как именно ставились Марафоны? В режиме EFI или Legacy BIOS?
> 2. В каком из этих режимов их удавалось загрузить через собственный, старый
> Grub?
> 3. В каком из режимов они загружались через новый, фрэшевский Grub2 до
> появления регрессии?
> 4. То же самое, что 3, но после появления регрессии?
> 5. Если хотя бы на один из этих вопросов будет ответ "EFI", то поддерживает
> ли EFI на тестовом компьютере загрузку с MBR? Согласно спецификациям, он
> обязан её поддерживать (GPT вовсе необязателен для загрузки с EFI), но на
> практике встречаются прошивки, не удовлетворяющие этому требованию.

1) В режиме legacy.
2) В режиме legacy
3) Не знаю. Они появились в меню и оттуда загружались, меню теперь новое. Думается, что в legacy.
4) В режиме EFI как я уже писал.
5) Здесь не понял вопроса. Как это проверить? У меня стоит режим совместимости, если на диске есть EFI раздел - предлагает два режима загрузки с этого диска (с EFI и без), если EFI нету - то один.
Comment 6 Konstantin Vlasov 2014-07-22 13:38:10 MSD
Что-то я не понял. Если стоит режим совместимости, то почему на 4-й вопрос ответ "EFI"? Перед тестированием выполнялся заход в биос и переключение его в EFI режим или как?

На всякий случай: под "режимом работы BIOS" я понимаю не строчку linux или linuxefi в grub.cfg, а опцию в настройках биоса тестового компьютера.
Comment 7 Vladimir Potapov 2014-07-22 13:47:38 MSD
У меня есть режим совместимости в биос. Он когда видит EFI на диске - предлагает две строки загрузки, с эфи и без. Когда не видит - предлагает одну.
Но при чем здесь это я не понимают т.к. загрузчик уже загрузился - с диска с эфи.
И он видит росы с диска неэфиевского, но не может их загрузить. А раньше мог.
Comment 8 Konstantin Vlasov 2014-07-24 18:07:23 MSD
Обновил grub2:
https://abf.rosalinux.ru/build_lists/2067734
https://abf.rosalinux.ru/build_lists/2067735

Advisory:
1. If Grub menu is found in another OS, now using titles from it instead of names autodetected by os-prober (unless the titles are non-specific, like "linux" or "failsafe").
2. First menu entry is no longer duplicated in Advanced menu if there is another entry with identical kernel/initrd/parameters present (it usually means that it's just a copy of the main entry, placed there by that system's Grub2 - we just reuse that copy).
3. Moved sorting menu entries by kernel version from Grub2 into os-prober to make sure we don't mess with other system's menu entries order.
4. Returned "(on sdXY)" suffix to all entries; moved it to the end of the title for better visual conformance with the other entries.
5. Minor translation fixes.
6. Fixed typo in rescue image name.
7. Included a specific grubcd.efi loader for iso creation toolkit.
8. Switched back to "linux/initrd" commands from "linuxefi/initrdefi" for non-primary systems in EFI mode: kernels older than 3.6 do not support the necessary boot protocol version.
Comment 9 Vladimir Potapov 2014-07-25 14:05:50 MSD
Новый граб2 ставится даже без нового os-prober. Это нехорошо, при неравномерном попадании обновлений на зеркала (все время сейчас) получим неработоспособные системы. Хорошо бы добавить зависимость.
Comment 10 Vladimir Potapov 2014-07-25 14:17:47 MSD
1) После установки с новым пробером все системы, кроме первой, не грузятся
2) Хром опознался как "неизвестный линукс"
Comment 11 Vladimir Potapov 2014-07-25 14:18:31 MSD
Created attachment 3102 [details]
grub.cfg
Comment 12 Vladimir Potapov 2014-07-25 14:53:44 MSD
(In reply to comment #10)
> 1) После установки с новым пробером все системы, кроме первой, не грузятся
> 2) Хром опознался как "неизвестный линукс"
это на efi системе. На обычной вроде работает.
Comment 13 Konstantin Vlasov 2014-07-25 17:22:04 MSD
(In reply to comment #9)
> Новый граб2 ставится даже без нового os-prober. Это нехорошо, при
> неравномерном попадании обновлений на зеркала (все время сейчас) получим
> неработоспособные системы. Хорошо бы добавить зависимость.

Это не является функциональной зависимостью. При неполном обновлении могут оказаться недоисправленными некоторые из проблем, но новых багов вылезти не должно.

Из списка изменений видно, что пересечение присутствует только в пункте о порядке сортировки ядер. То есть в худшем сценарии мы получим лишь неправильную сортировку, что никак не является критическим багом. Более того, в реальной жизни эта ситуация встретится с вероятностью, близкой к нулю, поскольку принудительная сортировка в новом os-prober применяется исключительно в том случае, когда на добавляемой вторичной системе не нашли граб-конфига (или нашли, но не распарсили) - в этом случае список ядер вытаскивается тупым перечислением файлов из /boot-раздела, и вот тот-то они и будут сортироваться (или не сортироваться, если os-prober не обновлён).


(In reply to comment #10)
> 1) После установки с новым пробером все системы, кроме первой, не грузятся

> это на efi системе. На обычной вроде работает.

Пока что не могу воспроизвести ни на обычной, ни на EFI - у меня все системы грузятся везде.
Поэтому, во-первых, поподробнее, пожалуйста. Что значит "не грузятся"? Какой конкретно пункт загрузочного меню был выбран, как при этом выглядел процесс загрузки, в какой момент произошёл затык, и что при этом было написано на экране?
Во-вторых, точно ли только при новом ос-пробере такое? Его изменения не могли повлиять на загружаемость систем, он только выдаёт список самих систем, а меню строится грабом. Что выдаёт следующая команда?
rpm -qa | grep 'os-prober\|grub'

> 2) Хром опознался как "неизвестный линукс"

Это известная проблема в самом Хроме: из него невозможно вытащить информацию об имени системы (если только не впиливать в os-prober нехороших хаков, заточенных на точное именование файлов и каталогов конкретно в Хроме, что не является кошерным способом). Старые grub/os-prober для этого Хрома выдадут в точности то же самое, поэтому данная проблема не является регрессией и не относится к пакетам grub2/os-prober.
Comment 14 Vladimir Potapov 2014-07-25 17:27:41 MSD
Не грузятся вообще. Т.е. появляется маленькое квадратное окошко начальной загрузки, пустое - и все виснет вмертвую.

rpm -qa | grep 'os-prober\|grub'
grub2-theme-rosa-2.00-51-rosa2012.1.noarch
kcm-grub2-0.5.8-4-rosa2012.1.x86_64
grub-efi-0.97-94-rosa2012.1.x86_64
os-prober-1.63-4-rosa2012.1.x86_64
grub2-efi-2.00-54-rosa2012.1.x86_64
grub2-2.00-54-rosa2012.1.x86_64
Comment 15 Konstantin Vlasov 2014-07-25 17:34:33 MSD
(In reply to comment #14)
> Не грузятся вообще. Т.е. появляется маленькое квадратное окошко начальной
> загрузки, пустое - и все виснет вмертвую.

1. Какие конкретно пункты из приаттаченного выше меню были проверены и дали такой результат?

2. Если выбрать желаемый пункт, нажать клавишу E, в открывшемся окне редактирования переместиться в конец, заменить там команду linux на linuxefi, а initrd на initrdefi, нажать F10 - система загрузится?
Comment 16 Vladimir Potapov 2014-07-25 17:42:06 MSD
(In reply to comment #15)
> (In reply to comment #14)
> > Не грузятся вообще. Т.е. появляется маленькое квадратное окошко начальной
> > загрузки, пустое - и все виснет вмертвую.
> 
> 1. Какие конкретно пункты из приаттаченного выше меню были проверены и дали
> такой результат?
> 
> 2. Если выбрать желаемый пункт, нажать клавишу E, в открывшемся окне
> редактирования переместиться в конец, заменить там команду linux на
> linuxefi, а initrd на initrdefi, нажать F10 - система загрузится?

проверил все прямые  - не работает ни один. 
Проверил также дополнительные (подменю) - грузится только старое ядро в системе на sda8.
Comment 17 Vladimir Potapov 2014-07-25 17:46:42 MSD
> 2. Если выбрать желаемый пункт, нажать клавишу E, в открывшемся окне
> редактирования переместиться в конец, заменить там команду linux на
> linuxefi, а initrd на initrdefi, нажать F10 - система загрузится?
Да. Для фреша - грузится, для марафона - говорит, что старое ядро.
Т.к. раньше для марафона без -efi грузилось, значит что-то не то в самой команде.
Comment 18 Konstantin Vlasov 2014-07-25 18:17:33 MSD
Проведи, пожалуйста, три следующих эксперимента.

1. В grub.cfg в секции Windows есть несколько строк с UUID-ами. Их надо удалить, чтобы блок получился таким:
menuentry "Microsoft Windows Vista/7/8 UEFI-GPT" {
  insmod part_gpt
  insmod fat
  insmod search_fs_uuid
  insmod chain
  search --fs-uuid --set=root --hint-bios=hd0,gpt1 --hint-efi=hd0,gpt1 --hint-baremetal=ahci0,gpt1 4F58-F6AE
  chainloader 
}

Сам пункт при этом и сейчас нерабочий, и останется нерабочим - это новая и несвязанная с обсуждаемым багом проблема, но есть вероятность, что этот левый набор строк ломает грабовский парсер. После этой модификации требуется проверить загружаемость имеющихся Linux-систем в их текущем виде (с командами linux/initrd).


2. Если первый эксперимент не восстановил загружаемость, выложи куда-нибудь следующие initrd-образы:
sda8 - /boot/initrd-3.10.46-nrj-desktop-1rosa.img
sda8 - /boot/initrd-3.10.42-nrj-desktop-1rosa.img
sda4 - /boot/initrd-3.10.46-nrj-desktop-1rosa.img
sda4 - /boot/initrd-3.10.34-nrj-desktop-3rosa.img


3. Откатиться на grub2-2.00-47, grub2-efi-2.00-47, os-prober-1.58-3, переустановить grub2 с перегенерацией меню, выложить получившийся grub.cfg, проверить загружаемость имеющихся систем.
Comment 19 Vladimir Potapov 2014-07-25 18:33:59 MSD
1) Эксперимент восстановил загружаемость на sda8. 
А вот марафоны-хромы по-прежнему не грузятся. 
На sda4 никогда не грузилась, это я 32 разрядную под эфи пылатся засунуть.
Comment 20 Konstantin Vlasov 2014-07-25 18:43:42 MSD
sda4 или sda6? В приаттаченном конфиге sda4 - это главная система, а ранее ты писал, что с ней как раз проблем нет.

Для Марафонов-Хромов: что происходит при попытке их загрузки командой linux? То же самое пустое синее окно грабовской консольки или как-то по-другому?
Comment 21 Vladimir Potapov 2014-07-25 18:49:01 MSD
(In reply to comment #18)
> 3. Откатиться на grub2-2.00-47, grub2-efi-2.00-47, os-prober-1.58-3,
> переустановить grub2 с перегенерацией меню, выложить получившийся grub.cfg,
> проверить загружаемость имеющихся систем.
После отката остается одна текущая система.
Comment 22 Vladimir Potapov 2014-07-25 18:49:39 MSD
(In reply to comment #20)
> sda4 или sda6? В приаттаченном конфиге sda4 - это главная система, а ранее
> ты писал, что с ней как раз проблем нет.
Да, sda4 рабочая, sda6 нерабочая.


> Для Марафонов-Хромов: что происходит при попытке их загрузки командой linux?
> То же самое пустое синее окно грабовской консольки или как-то по-другому?
Да, пустое окно.
Comment 23 Konstantin Vlasov 2014-07-25 19:03:04 MSD
(In reply to comment #21)
> (In reply to comment #18)
> > 3. Откатиться на grub2-2.00-47, grub2-efi-2.00-47, os-prober-1.58-3,
> > переустановить grub2 с перегенерацией меню, выложить получившийся grub.cfg,
> > проверить загружаемость имеющихся систем.
> После отката остается одна текущая система.

Оставаясь пока на старом грабе, возьми пункты меню марафона-хрома из нового меню (приаттаченного здесь), добавь их в использующееся сейчас меню (сгенерированное старой версией граба). Перед каждой командой linux добавь строчку
echo "Loading kernel"
а перед каждой initrd - строчку
echo "Loading initrd"
(это позволит хотя бы понять, на какой стадии затык)
Сохрани получившийся конфиг и перезагрузись, попробуй загрузить хромы-марафоны.
Comment 24 Vladimir Potapov 2014-07-25 19:38:28 MSD
Меню выглядело как
***********
echo "Loading vmlinuz"
linux /boot/vmlinuz-3.10.46-nrj-desktop-1rosa root=UUID=a753a92a-31ae-4a52-9eb8-57808281aaac ro splash=silent logo.nologo nomodeset resume=UUID=ab97bebd-f97b-47cc-8586-863d88fcf487
echo "Load vmlinuz OK"
echo "Loading initrd"
initrd /boot/initrd-3.10.46-nrj-desktop-1rosa.img
echo "Load initrd OK"
*************
и были показаны все сообщения, в том числе последнее
Load initrd OK
Comment 25 Vladimir Potapov 2014-07-25 19:42:58 MSD
Для марафона ситуация такая же - загрузка проходит полностью.
Comment 26 Konstantin Vlasov 2014-07-25 20:07:13 MSD
Я правильно понимаю, в грабовскую консоль выводятся все эти сообщения, после чего она так и остаётся висеть до бесконечности? Сколько времени ждал? Попробуй дать ей хотя бы минуту.
Comment 27 Vladimir Potapov 2014-07-25 20:20:41 MSD
(In reply to comment #26)
> Я правильно понимаю, в грабовскую консоль выводятся все эти сообщения, после
> чего она так и остаётся висеть до бесконечности? Сколько времени ждал?
> Попробуй дать ей хотя бы минуту.
Дал 10 минут - безрезультатно.
Там жесткое зависание, клавиатура не действует.
Comment 28 Konstantin Vlasov 2014-08-12 16:05:06 MSD
Проделай, пожалуйста, следующее: оставаясь на grub2/grub2-efi 2.00-47 и os-prober 1.58-3 (последних из официального репозитория), установи обновления из бага #4307 и переустанови загрузчик с перегенерацией меню:
grub2-efi-install /dev/sdaX
grub2-efi-mkconfig -o /boot/grub2/grub.cfg
(sdaX - это EFI-раздел).
После этого выложи получившийся grub.cfg сюда и распиши по всем установленным системам и дочерним ядрам:
1) какие из них загружаются,
2) какие не загружаются (и с какими симптомами),
3) какие из незагружающихся систем и ядер раньше загружались без проблем.
Comment 29 Konstantin Vlasov 2014-08-14 17:53:28 MSD
I've prepared some more fixes, and here is the new build:

https://abf.rosalinux.ru/build_lists/2113099
https://abf.rosalinux.ru/build_lists/2113100

Advisory:
1. If Grub menu is found in another OS, now using titles from it instead of names autodetected by os-prober (unless the titles are non-specific, like "linux" or "failsafe").
2. First menu entry is no longer duplicated in Advanced menu if there is another entry with identical kernel/initrd/parameters present (it usually means that it's just a copy of the main entry, placed there by that system's Grub2 - we just reuse that copy).
3. Moved sorting menu entries by kernel version from Grub2 into os-prober to make sure we don't mess with other system's menu entries order.
4. Returned "(on sdXY)" suffix to all entries; moved it to the end of the title for better visual conformance with the other entries.
5. Minor translation fixes.
6. Fixed typo in rescue image name.
7. Included a specific grubcd.efi loader for iso creation toolkit.
8. Switched back to "linux/initrd" commands from "linuxefi/initrdefi" for non-primary systems in EFI mode: kernels older than 3.6 do not support the necessary boot protocol version.
9. Added "Loading Linux/initial ramdisk..." console messages also for secondary boot entries.
10. In SecureBoot mode the "linux" command automatically calls "linuxefi".
11. Changed default configuration to saving the last booted entry.


Notice: Though it is not a functional requirement (and therefore is not included into dependencies), it is HIGHLY recommended to also update util-linux from bug #4307. It fixes blkid which could lead to invalid Windows boot entry in the grub config file.

After you updated grub2 and (if present, grub2-efi), please launch the following commands:
1) If you are using EFI system:
# grub2-efi-install /dev/sdXY
# grub2-efi-mkconfig -o /boot/grub2/grub.cfg
where /dev/sdXY is your EFI partition mounted to /boot/efi (e.g. /dev/sda2).
2) If you are using BIOS system:
# grub2-install /dev/sdX
# grub2-mkconfig -o /boot/grub2/grub.cfg
where /dev/sdX is you bootable disk (e.g. /dev/sda).
Comment 30 Konstantin Vlasov 2014-08-15 00:28:26 MSD
And even more fixes:

https://abf.rosalinux.ru/build_lists/2113357
https://abf.rosalinux.ru/build_lists/2113358

Advisory:
1. If Grub menu is found in another OS, now using titles from it instead of names autodetected by os-prober (unless the titles are non-specific, like "linux" or "failsafe").
2. First menu entry is no longer duplicated in Advanced menu if there is another entry with identical kernel/initrd/parameters present (it usually means that it's just a copy of the main entry, placed there by that system's Grub2 - we just reuse that copy).
3. Moved sorting menu entries by kernel version from Grub2 into os-prober to make sure we don't mess with other system's menu entries order.
4. Returned "(on sdXY)" suffix to all entries; moved it to the end of the title for better visual conformance with the other entries.
5. Minor translation fixes.
6. Fixed typo in rescue image name.
7. Included a specific grubcd.efi loader for iso creation toolkit.
8. Switched back to "linux/initrd" commands from "linuxefi/initrdefi" for non-primary systems in EFI mode: kernels older than 3.6 do not support the necessary boot protocol version.
9. Added "Loading Linux/initial ramdisk..." console messages also for secondary boot entries.
10. In SecureBoot mode the "linux" command automatically calls "linuxefi".
11. Changed default configuration to saving the last booted entry.
12. In EFI mode the "Windows" entry was always added, even when no Windows was present on the computer.
13. Minor optimizations in update-grub2 for EFI mode.
Comment 31 Konstantin Vlasov 2014-08-15 22:29:18 MSD
https://abf.rosalinux.ru/build_lists/2113823
https://abf.rosalinux.ru/build_lists/2113824

Advisory:
1. If Grub menu is found in another OS, now using titles from it instead of names autodetected by os-prober (unless the titles are non-specific, like "linux" or "failsafe").
2. First menu entry is no longer duplicated in Advanced menu if there is another entry with identical kernel/initrd/parameters present (it usually means that it's just a copy of the main entry, placed there by that system's Grub2 - we just reuse that copy).
3. Moved sorting menu entries by kernel version from Grub2 into os-prober to make sure we don't mess with other system's menu entries order.
4. Returned "(on sdXY)" suffix to all entries; moved it to the end of the title for better visual conformance with the other entries.
5. Minor translation fixes.
6. Fixed typo in rescue image name.
7. Included a specific grubcd.efi loader for iso creation toolkit.
8. Switched back to "linux/initrd" commands from "linuxefi/initrdefi" for non-primary systems in EFI mode: kernels older than 3.6 do not support the necessary boot protocol version.
9. Added "Loading Linux/initial ramdisk..." console messages also for secondary boot entries.
10. In SecureBoot mode the "linux" command automatically calls "linuxefi".
11. Changed default configuration to saving the last booted entry.
12. In EFI mode the "Windows" entry was always added, even when no Windows was present on the computer.
13. Minor optimizations in update-grub2 for EFI mode.
14. Fixed 'resume' kernel parameter for non-standard swap locations (e.g. file on a non-root partition).


ISO image with all the latest changes in grub2, drakxtools, draklive-install:
https://abf.rosalinux.ru/platforms/rosa2012.1/products/78/product_build_lists/5710
Comment 32 Alexander Petryakov 2014-08-17 23:29:35 MSD
Created attachment 3140 [details]
black background in grub menu

Live CD: Black background in grub menu, selected item has same color.
Comment 33 Vladimir Potapov 2014-08-18 12:19:49 MSD
I see all right after installed system update.
Comment 34 Konstantin Vlasov 2014-08-18 12:41:39 MSD
It's not Grub menu, it's syslinux menu. I noticed this problem too, but it has nothing to do with either Grub or any other QA'd updates, so this is not a regression of the tested package.
Comment 35 Vladimir Potapov 2014-08-18 15:19:54 MSD
os-prober container - 404
Comment 36 Konstantin Vlasov 2014-08-18 20:39:09 MSD
(In reply to comment #35)
> os-prober container - 404

https://abf.rosalinux.ru/build_lists/2115333
https://abf.rosalinux.ru/build_lists/2115334
Comment 37 Vladimir Potapov 2014-08-20 05:32:54 MSD
os-prober-1.63-4
http://abf-downloads.rosalinux.ru/rosa2012.1/container/2115333/i586/main/release/
http://abf-downloads.rosalinux.ru/rosa2012.1/container/2115334/x86_64/main/release/

grub2-2.00-58
http://abf-downloads.rosalinux.ru/rosa2012.1/container/2113823/i586/main/release/
http://abf-downloads.rosalinux.ru/rosa2012.1/container/2113824/x86_64/main/release/

********************** Advisory **********************
1. If Grub menu is found in another OS, now using titles from it instead of names autodetected by os-prober (unless the titles are non-specific, like "linux" or "failsafe").
2. First menu entry is no longer duplicated in Advanced menu if there is another entry with identical kernel/initrd/parameters present (it usually means that it's just a copy of the main entry, placed there by that system's Grub2 - we just reuse that copy).
3. Moved sorting menu entries by kernel version from Grub2 into os-prober to make sure we don't mess with other system's menu entries order.
4. Returned "(on sdXY)" suffix to all entries; moved it to the end of the title for better visual conformance with the other entries.
5. Minor translation fixes.
6. Fixed typo in rescue image name.
7. Included a specific grubcd.efi loader for iso creation toolkit.
8. Switched back to "linux/initrd" commands from "linuxefi/initrdefi" for non-primary systems in EFI mode: kernels older than 3.6 do not support the necessary boot protocol version.
9. Added "Loading Linux/initial ramdisk..." console messages also for secondary boot entries.
10. In SecureBoot mode the "linux" command automatically calls "linuxefi".
11. Changed default configuration to saving the last booted entry.
12. In EFI mode the "Windows" entry was always added, even when no Windows was present on the computer.
13. Minor optimizations in update-grub2 for EFI mode.
14. Fixed 'resume' kernel parameter for non-standard swap locations (e.g. file on a non-root partition).
**********************************************************
QA Verified